@subheading gsasl_base64_from
@anchor{gsasl_base64_from}
@deftypefun {int} {gsasl_base64_from} (const char * @var{in}, size_t @var{inlen}, char ** @var{out}, size_t * @var{outlen})
@var{in}: input byte array

@var{inlen}: size of input byte array

@var{out}: pointer to newly allocated output byte array

@var{outlen}: pointer to size of newly allocated output byte array

Decode Base64 data.  The @code{out} buffer must be deallocated by the
caller.

@strong{Return value:} Returns @code{GSASL_OK} on success, @code{GSASL_BASE64_ERROR} if
input was invalid, and @code{GSASL_MALLOC_ERROR} on memory allocation
errors.

@strong{Since:} 0.2.2
@end deftypefun

